// 程序入口函数
function _initial()
    sendtextmsg("初始化接口")
end
// 按下主按钮触发函数方法
function _mainbutton()
    arraytest_Thread()
    strtest_Thread()
    
    // 下面是不传递线程参数给线程,那么我们的线程方法就是无参数的功能.
    // 但是线程开启方法的第二个参数必须写,不能省略.
    threadbegin("arraytest_Thread","")
    threadbegin("strtest_Thread","")
end

function 数组测试(xx) 
    var size = arraysize(xx) 
    //取得传进来的参数的数组大小 
    for(var i=0;i<size;i++)        
        sendtextmsg("数组测试线程,第"&i&"次的数据为"&xx[i])        
        sleep(5)
    end 
end 


//下面是把数组做为参数传递 
function arraytest_Thread()
    //这里添加你要执行的代码
    var aa=array() 
    var size = 10
    for(var i=0;i<size;i++)
        aa[i]="count"&i 
    end 
    //上面的代码是,初始化数组 
    //下面我们将数组做为线程参数 传递到线程里面去 
    threadbegin("数组测试",aa) 
end

function 字符串测试(xx) 
    var size = arraysize(xx) 
    //取得传进来的参数的数组大小 
    for(var i=0;i<size;i++)        
        sendtextmsg("数组测试线程,第"&i&"次的数据为"&xx[i])        
        sleep(5)
    end 
end 


//下面是把数组做为参数传递 
function strtest_Thread()
    //这里添加你要执行的代码
    var aa="我是字符串的测试代码"
    //下面我们将字符串做为线程参数 传递到线程里面去 
    threadbegin("字符串测试",aa) 
end